Forums

Star Trek Online download

Need help

Auteur Réponses
Enterprise1701 Dimanche 24 Novembre 2019 à 21:29
Enterprise1701Anonymous

Hi all,

A few months ago after many hours of turmoil and failed attempts, I managed to get STO to play on my 2011 iMac- with the help of the internet and in particular playonmac. However, in June(I think) a patch was released for STO dropping support for the setup I had. I stopped for a while, but I've been wanting to try it again. I was wondering if there's anyone out there who still uses playonmac to play the game that could help me get it working again?

Thanks a lot.

Dadu042 Lundi 25 Novembre 2019 à 11:48
Dadu042
Modérateur

http://wiki.playonlinux.com/index.php/How_to_Post_in_the_Forums    ->   What information is needed in my post?

Note: The script for this game was updated in april 2019.

Enterprise1701 Lundi 25 Novembre 2019 à 17:37
Enterprise1701Anonymous

Hi Dadu thanks for your message.

My specs: 64 bit 2011 iMac 21.5", intel i5 and Radeon HD 6750M 512MB for graphics.

Running High Sierra, newest supported OS.

I'll try to be more specific now. Basically, my main issue is I'm not sure what I need to do to get the game running, I'm a complete beginner to Play on Mac. I managed to get it to work just about perfectly a few months ago, but the update in April stopped it working, as the os pom was emulating was incompatible(I think).I had seen those scripts, however I'm afraid I'm not sure how to integrate them. I'd really appreciate some help, basically starting from step one.

Edit: As I should have mentioned initially, I've been finding when I attempt to install it via the version of Play on Mac I had downloaded, it said it could not find wine version 4.02. I'll try and see if a newer version will help- and I'll update the forum on how it goes.

Update: It appears that my issue is that I do not have Wine 4.0.2, any suggestions? Thanks

Edité par Enterprise1701

Dadu042 Mercredi 27 Novembre 2019 à 9:51
Dadu042
Modérateur

POM version ?
 

Enterprise1701 Lundi 2 Décembre 2019 à 13:40
Enterprise1701Anonymous

I downloaded the latest, sorry for such a late reply. I think it's 4.3.4

Dadu042 Mercredi 4 Décembre 2019 à 20:36
Dadu042
Modérateur

I've updated the script (details in its changelog).

Enterprise1701 Samedi 21 Décembre 2019 à 18:31
Enterprise1701Anonymous

Thanks! Sorry for the late reply again.

Enterprise1701 Samedi 21 Décembre 2019 à 18:45
Enterprise1701Anonymous

The installation seems to be working well, thanks a lot for your help and patience!

EDIT: It now says my graphics card is unsupported. I'm certain it can work as I tried the trial of crossover which worked fine. Thanks for trying either way.

Edité par Enterprise1701